info.bioinfweb.jphyloio.objecttranslation

## Class InvalidObjectSourceDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - info.bioinfweb.jphyloio.objecttranslation.InvalidObjectSourceDataException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidObjectSourceDataException
      extends java.lang.Exception

  Exception that indicates that an an instance of `ObjectTranslator` was not able to use the provided source data (string or XML events) to create an instance of the handled object type (e.g. because an invalid string was provided or an unexpected XML event was encountered).
  Since:
    0.0.0
  Author:
    Ben Stöver
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidObjectSourceDataException()`
    `InvalidObjectSourceDataException(java.lang.String message)`
    `InvalidObjectSourceDataException(java.lang.String message, java.lang.Throwable cause)`
    `InvalidObjectSourceDataException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidObjectSourceDataException

          public InvalidObjectSourceDataException()

    - #### InvalidObjectSourceDataException

          public InvalidObjectSourceDataException(java.lang.String message,
                                                  java.lang.Throwable cause)

    - #### InvalidObjectSourceDataException

          public InvalidObjectSourceDataException(java.lang.String message)

    - #### InvalidObjectSourceDataException

          public InvalidObjectSourceDataException(java.lang.Throwable cause)